AnsweredAssumed Answered

Error compiling Python 2.7 using LTIB for iMX35

Question asked by Neeraj Naik on Jan 31, 2013

Hey,

Has anyone compiled python 2.7 using LTIB for imx35?

I have attached the spec file

These are the errors I get:

In file included from Include/Python.h:58,

                 from ./Modules/python.c:3:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Parser/grammar1.c:4:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Include/pgenheaders.h:10,

                 from Parser/acceler.c:13:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Parser/node.c:3:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Parser/parser.c:8:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Include/pgenheaders.h:10,

                 from Parser/listnode.c:4:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Include/pgenheaders.h:10,

                 from Parser/bitset.c:4:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

In file included from Include/Python.h:58,

                 from Include/pgenheaders.h:10,

                 from Parser/parsetok.c:4:

Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"

make: *** [Modules/python.o] Error 1

I used the build commands spec file from this link

Re: [Ltib] Building Python 2.7

 

I don't understand if this error is related to the python source or the arm tools used by ltib. Can someone please help?

Has anyone compiled python successfully? if so, what am I doing wrong?

Original Attachment has been moved to: Python-2.7.3.spec.zip

Outcomes